define('huayra-ritmos/tests/acceptance/la-aplicacion-captura-errores-en-los-titulos-test', ['exports', 'qunit', 'huayra-ritmos/tests/helpers/module-for-acceptance', 'huayra-ritmos/tests/pages/index-page'], function (exports, _qunit, _huayraRitmosTestsHelpersModuleForAcceptance, _huayraRitmosTestsPagesIndexPage) {

  (0, _huayraRitmosTestsHelpersModuleForAcceptance['default'])('Acceptance | la aplicacion captura errores en los titulos');

  (0, _qunit.test)('no puede cargar títulos incorrectos', function (assert) {
    _huayraRitmosTestsPagesIndexPage['default'].visit().crearUnNuevoProyecto().colocarTitulo("");

    andThen(function () {
      assert.equal(_huayraRitmosTestsPagesIndexPage['default'].cantidadDeErrores, 1, "Hay un error que impide avanzar.");
      assert.equal("El título no puede estar vacío", _huayraRitmosTestsPagesIndexPage['default'].mensajeDeError, "Aparece un mensaje de error porque el título está vacío.");

      assert.equal($("button#prompt-aceptar").attr('disabled'), 'disabled', "El botón está deshabilitado.");

      // Pero al ingresar un título le permite avanzar.
      fillIn("input", "un título válido");
    });

    andThen(function () {
      assert.equal($("button#prompt-aceptar").attr('disabled'), undefined, "Luego de ingresar un título habilita el botón de nuevo.");
      click("button#prompt-aceptar");
    });

    andThen(function () {
      assert.equal(currentURL().indexOf("pattern"), '1', "Ingresó a la ruta pattern");
    });
  });
});
define('huayra-ritmos/tests/acceptance/la-aplicacion-captura-errores-en-los-titulos-test.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | acceptance/la-aplicacion-captura-errores-en-los-titulos-test.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'acceptance/la-aplicacion-captura-errores-en-los-titulos-test.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/acceptance/puede-cambiar-pistas-test', ['exports', 'ember', 'qunit', 'huayra-ritmos/tests/helpers/start-app', 'huayra-ritmos/tests/pages/index-page', 'huayra-ritmos/tests/pages/pattern-page'], function (exports, _ember, _qunit, _huayraRitmosTestsHelpersStartApp, _huayraRitmosTestsPagesIndexPage, _huayraRitmosTestsPagesPatternPage) {

  var application;

  (0, _qunit.module)('Acceptance | puede cambiar pistas', {
    beforeEach: function beforeEach() {
      application = (0, _huayraRitmosTestsHelpersStartApp['default'])();
    },

    afterEach: function afterEach() {
      _ember['default'].run(application, 'destroy');
    }
  });

  (0, _qunit.test)('Puede cambiar pistas', function (assert) {
    _huayraRitmosTestsPagesIndexPage['default'].visit().crearUnNuevoProyecto().colocarTitulo("Demo");

    andThen(function () {
      assert.equal(currentURL().indexOf("pattern"), '1', "Ingresó a la ruta pattern");
      assert.equal(_huayraRitmosTestsPagesPatternPage['default'].cantidadDePistas, 2, "Hay dos pistas inicialmente.");
    });

    andThen(function () {
      _huayraRitmosTestsPagesPatternPage['default'].crearPista();
    });

    andThen(function () {
      _huayraRitmosTestsPagesPatternPage['default'].seleccionarSonido();
    });

    andThen(function () {
      _huayraRitmosTestsPagesPatternPage['default'].aceptarDialogo();
    });

    andThen(function () {
      assert.equal(_huayraRitmosTestsPagesPatternPage['default'].cantidadDePistas, 3, "Luego de agregar una pista, hay 3 en total.");
    });
  });
});
define('huayra-ritmos/tests/acceptance/puede-cambiar-pistas-test.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | acceptance/puede-cambiar-pistas-test.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'acceptance/puede-cambiar-pistas-test.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/acceptance/puede-crear-ritmo-test', ['exports', 'ember', 'qunit', 'huayra-ritmos/tests/helpers/start-app', 'huayra-ritmos/tests/pages/index-page', 'huayra-ritmos/tests/pages/pattern-page'], function (exports, _ember, _qunit, _huayraRitmosTestsHelpersStartApp, _huayraRitmosTestsPagesIndexPage, _huayraRitmosTestsPagesPatternPage) {

  var application;

  (0, _qunit.module)('Acceptance | puede crear ritmo', {
    beforeEach: function beforeEach() {
      application = (0, _huayraRitmosTestsHelpersStartApp['default'])();
    },

    afterEach: function afterEach() {
      _ember['default'].run(application, 'destroy');
    }
  });

  (0, _qunit.test)('visiting /', function (assert) {

    _huayraRitmosTestsPagesIndexPage['default'].visit().crearUnNuevoProyecto();

    andThen(function () {
      _huayraRitmosTestsPagesIndexPage['default'].colocarTitulo("Otro demo");
    });

    andThen(function () {
      assert.equal(currentURL().indexOf("pattern"), '1', "Ingresó a la ruta pattern");
      assert.ok(_huayraRitmosTestsPagesPatternPage['default'].elPlayerEstaDetenido, "El player se encuentra inicialmente detenido.");

      _huayraRitmosTestsPagesPatternPage['default'].play();
    });

    andThen(function () {
      assert.ok(_huayraRitmosTestsPagesPatternPage['default'].elPlayerEstaReproduciendo, "Puede comenzar a reproducir.");

      /* Espera 2 segundos ... */
      return new _ember['default'].RSVP.Promise(function (success) {
        setTimeout(success, 2000);
      });
    });

    andThen(function () {
      _huayraRitmosTestsPagesPatternPage['default'].stop();
    });

    andThen(function () {
      assert.ok(_huayraRitmosTestsPagesPatternPage['default'].elPlayerEstaDetenido, "El player se pudo detener.");
    });
  });
});
define('huayra-ritmos/tests/acceptance/puede-crear-ritmo-test.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | acceptance/puede-crear-ritmo-test.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'acceptance/puede-crear-ritmo-test.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/adapters/application.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | adapters/application.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'adapters/application.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/app.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | app.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'app.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/components/huayra-color-picker.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | components/huayra-color-picker.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'components/huayra-color-picker.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/components/huayra-edit-track.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | components/huayra-edit-track.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'components/huayra-edit-track.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/components/huayra-file-selector.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | components/huayra-file-selector.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'components/huayra-file-selector.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/components/huayra-new-track.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | components/huayra-new-track.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'components/huayra-new-track.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/components/huayra-pattern.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | components/huayra-pattern.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'components/huayra-pattern.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/components/huayra-player.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | components/huayra-player.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'components/huayra-player.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/components/huayra-project-list.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | components/huayra-project-list.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'components/huayra-project-list.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/components/huayra-sound-selector.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | components/huayra-sound-selector.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'components/huayra-sound-selector.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/components/huayra-sound-switch.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | components/huayra-sound-switch.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'components/huayra-sound-switch.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/components/huayra-step.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | components/huayra-step.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'components/huayra-step.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/components/huayra-stepslimit-picker.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | components/huayra-stepslimit-picker.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'components/huayra-stepslimit-picker.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/components/huayra-title-editable.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | components/huayra-title-editable.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'components/huayra-title-editable.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/components/huayra-track-actions.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | components/huayra-track-actions.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'components/huayra-track-actions.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/components/huayra-track.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | components/huayra-track.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'components/huayra-track.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/controllers/application.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | controllers/application.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'controllers/application.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/controllers/importar.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | controllers/importar.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'controllers/importar.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/controllers/index.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | controllers/index.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'controllers/index.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/controllers/modal-confirm.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | controllers/modal-confirm.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'controllers/modal-confirm.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/controllers/modals/huayra-prompt.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | controllers/modals/huayra-prompt.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'controllers/modals/huayra-prompt.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/controllers/modals/huayra-srsly.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | controllers/modals/huayra-srsly.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'controllers/modals/huayra-srsly.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/controllers/pattern.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | controllers/pattern.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'controllers/pattern.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/controllers/pattern/new-track.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | controllers/pattern/new-track.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'controllers/pattern/new-track.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/electron', ['exports'], function (exports) {
    /* jshint undef: false */

    var _require = require('electron');

    var BrowserWindow = _require.BrowserWindow;
    var app = _require.app;

    var mainWindow = null;

    app.on('window-all-closed', function onWindowAllClosed() {
        if (process.platform !== 'darwin') {
            app.quit();
        }
    });

    app.on('ready', function onReady() {
        mainWindow = new BrowserWindow({
            width: 800,
            height: 600
        });

        delete mainWindow.module;

        if (process.env.EMBER_ENV === 'test') {
            mainWindow.loadURL('file://' + __dirname + '/index.html');
        } else {
            mainWindow.loadURL('file://' + __dirname + '/dist/index.html');
        }

        mainWindow.on('closed', function onClosed() {
            mainWindow = null;
        });
    });

    /* jshint undef: true */
});
define('huayra-ritmos/tests/electron.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | electron.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'electron.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/helpers/destroy-app', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = destroyApp;

  function destroyApp(application) {
    _ember['default'].run(application, 'destroy');
  }
});
define('huayra-ritmos/tests/helpers/destroy-app.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | helpers/destroy-app.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'helpers/destroy-app.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/helpers/module-for-acceptance', ['exports', 'qunit', 'ember', 'huayra-ritmos/tests/helpers/start-app', 'huayra-ritmos/tests/helpers/destroy-app'], function (exports, _qunit, _ember, _huayraRitmosTestsHelpersStartApp, _huayraRitmosTestsHelpersDestroyApp) {
  var Promise = _ember['default'].RSVP.Promise;

  exports['default'] = function (name) {
    var options = arguments.length <= 1 || arguments[1] === undefined ? {} : arguments[1];

    (0, _qunit.module)(name, {
      beforeEach: function beforeEach() {
        this.application = (0, _huayraRitmosTestsHelpersStartApp['default'])();

        if (options.beforeEach) {
          return options.beforeEach.apply(this, arguments);
        }
      },

      afterEach: function afterEach() {
        var _this = this;

        var afterEach = options.afterEach && options.afterEach.apply(this, arguments);
        return Promise.resolve(afterEach).then(function () {
          return (0, _huayraRitmosTestsHelpersDestroyApp['default'])(_this.application);
        });
      }
    });
  };
});
define('huayra-ritmos/tests/helpers/module-for-acceptance.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | helpers/module-for-acceptance.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'helpers/module-for-acceptance.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/helpers/resolver', ['exports', 'huayra-ritmos/resolver', 'huayra-ritmos/config/environment'], function (exports, _huayraRitmosResolver, _huayraRitmosConfigEnvironment) {

  var resolver = _huayraRitmosResolver['default'].create();

  resolver.namespace = {
    modulePrefix: _huayraRitmosConfigEnvironment['default'].modulePrefix,
    podModulePrefix: _huayraRitmosConfigEnvironment['default'].podModulePrefix
  };

  exports['default'] = resolver;
});
define('huayra-ritmos/tests/helpers/resolver.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | helpers/resolver.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'helpers/resolver.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/helpers/show-modal.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | helpers/show-modal.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'helpers/show-modal.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/helpers/start-app', ['exports', 'ember', 'huayra-ritmos/app', 'huayra-ritmos/config/environment'], function (exports, _ember, _huayraRitmosApp, _huayraRitmosConfigEnvironment) {
  exports['default'] = startApp;

  function startApp(attrs) {
    var application = undefined;

    var attributes = _ember['default'].merge({}, _huayraRitmosConfigEnvironment['default'].APP);
    attributes = _ember['default'].merge(attributes, attrs); // use defaults, but you can override;

    _ember['default'].run(function () {
      application = _huayraRitmosApp['default'].create(attributes);
      application.setupForTesting();
      application.injectTestHelpers();
    });

    return application;
  }
});
define('huayra-ritmos/tests/helpers/start-app.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | helpers/start-app.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'helpers/start-app.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/initializers/application.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | initializers/application.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'initializers/application.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/initializers/p5.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | initializers/p5.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'initializers/p5.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/initializers/set-node-dir.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | initializers/set-node-dir.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'initializers/set-node-dir.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/integration/components/huayra-edit-track-test', ['exports', 'ember-qunit'], function (exports, _emberQunit) {

  (0, _emberQunit.moduleForComponent)('huayra-edit-track', 'Integration | Component | edit track', {
    // Specify the other units that are required for this test
    integration: true
  });

  (0, _emberQunit.test)('it renders', function (assert) {
    assert.expect(3);

    // Seteo el track a uno genérico
    this.set('track', {
      volume: 10,
      sound: 'sounds/basicos/000_drum1.wav',
      color: 'rojo'
    });

    // Chequeo todo al apretar guardar
    this.set('save', function (track, changes) {
      assert.equal(track.volume, changes.volume, "No hay cambios en el volumen");
      assert.equal(track.color, changes.color, "No hay cambios en el color");
      assert.equal(track.sound, changes.sound, "No hay cambios en el sonido");
    });

    // Renders the component to the page
    this.render(Ember.HTMLBars.template((function () {
      return {
        meta: {
          'fragmentReason': {
            'name': 'missing-wrapper',
            'problems': ['wrong-type']
          },
          'revision': 'Ember@2.6.2',
          'loc': {
            'source': null,
            'start': {
              'line': 1,
              'column': 0
            },
            'end': {
              'line': 3,
              'column': 2
            }
          }
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode('\n    ');
          dom.appendChild(el0, el1);
          var el1 = dom.createComment('');
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode('\n  ');
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [['inline', 'huayra-edit-track', [], ['track', ['subexpr', '@mut', [['get', 'track', ['loc', [null, [2, 30], [2, 35]]]]], [], []], 'onSave', ['subexpr', '@mut', [['get', 'save', ['loc', [null, [2, 43], [2, 47]]]]], [], []]], ['loc', [null, [2, 4], [2, 49]]]]],
        locals: [],
        templates: []
      };
    })()));

    //TODO: Chequear que esté activo todo tal cual los parámetros del track
    this.$('button:contains(Aceptar)').click();
  });
});
define('huayra-ritmos/tests/integration/components/huayra-edit-track-test.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | integration/components/huayra-edit-track-test.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'integration/components/huayra-edit-track-test.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/models/pattern.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | models/pattern.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'models/pattern.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/naturalSort.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | naturalSort.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'naturalSort.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/page-object', ['exports', 'ember-cli-page-object'], function (exports, _emberCliPageObject) {
  exports.attribute = _emberCliPageObject.attribute;
  exports.clickOnText = _emberCliPageObject.clickOnText;
  exports.clickable = _emberCliPageObject.clickable;
  exports.collection = _emberCliPageObject.collection;
  exports.contains = _emberCliPageObject.contains;
  exports.count = _emberCliPageObject.count;
  exports.create = _emberCliPageObject.create;
  exports.fillable = _emberCliPageObject.fillable;
  exports.selectable = _emberCliPageObject.fillable;
  exports.hasClass = _emberCliPageObject.hasClass;
  exports.is = _emberCliPageObject.is;
  exports.isHidden = _emberCliPageObject.isHidden;
  exports.isVisible = _emberCliPageObject.isVisible;
  exports.notHasClass = _emberCliPageObject.notHasClass;
  exports.property = _emberCliPageObject.property;
  exports.text = _emberCliPageObject.text;
  exports.triggerable = _emberCliPageObject.triggerable;
  exports.value = _emberCliPageObject.value;
  exports.visitable = _emberCliPageObject.visitable;
  exports['default'] = {
    attribute: _emberCliPageObject.attribute,
    clickOnText: _emberCliPageObject.clickOnText,
    clickable: _emberCliPageObject.clickable,
    collection: _emberCliPageObject.collection,
    contains: _emberCliPageObject.contains,
    count: _emberCliPageObject.count,
    create: _emberCliPageObject.create,
    fillable: _emberCliPageObject.fillable,
    hasClass: _emberCliPageObject.hasClass,
    is: _emberCliPageObject.is,
    isHidden: _emberCliPageObject.isHidden,
    isVisible: _emberCliPageObject.isVisible,
    notHasClass: _emberCliPageObject.notHasClass,
    property: _emberCliPageObject.property,
    selectable: _emberCliPageObject.fillable,
    text: _emberCliPageObject.text,
    triggerable: _emberCliPageObject.triggerable,
    value: _emberCliPageObject.value,
    visitable: _emberCliPageObject.visitable
  };
  Object.defineProperty(exports, 'buildSelector', {
    enumerable: true,
    get: function get() {
      return _emberCliPageObject.buildSelector;
    }
  });
  Object.defineProperty(exports, 'findElementWithAssert', {
    enumerable: true,
    get: function get() {
      return _emberCliPageObject.findElementWithAssert;
    }
  });
  Object.defineProperty(exports, 'findElement', {
    enumerable: true,
    get: function get() {
      return _emberCliPageObject.findElement;
    }
  });
  Object.defineProperty(exports, 'getContext', {
    enumerable: true,
    get: function get() {
      return _emberCliPageObject.getContext;
    }
  });
});
define('huayra-ritmos/tests/pages/index-page', ['exports', 'huayra-ritmos/tests/page-object'], function (exports, _huayraRitmosTestsPageObject) {
  var visitable = _huayraRitmosTestsPageObject['default'].visitable;
  var clickable = _huayraRitmosTestsPageObject['default'].clickable;
  var count = _huayraRitmosTestsPageObject['default'].count;
  var text = _huayraRitmosTestsPageObject['default'].text;
  exports['default'] = _huayraRitmosTestsPageObject['default'].create({
    visit: visitable('/'),
    crearUnNuevoProyecto: clickable('button#crear-proyecto'),
    colocarTitulo: function colocarTitulo(nombre) {
      fillIn('#prompt-value', nombre);
      click('#prompt-aceptar');
    },
    cantidadDeErrores: count(".huayra-prompt-note"),
    mensajeDeError: text(".huayra-prompt-note")

  });
});
define('huayra-ritmos/tests/pages/index-page.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | pages/index-page.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'pages/index-page.js should pass jshint.');
  });
});
define("huayra-ritmos/tests/pages/pattern-page", ["exports", "huayra-ritmos/tests/page-object"], function (exports, _huayraRitmosTestsPageObject) {
  var
  /*visitable,*/
  clickable = _huayraRitmosTestsPageObject["default"].clickable;
  var count = _huayraRitmosTestsPageObject["default"].count;
  exports["default"] = _huayraRitmosTestsPageObject["default"].create({
    play: clickable("#play-button"),
    stop: clickable("#stop-button"),

    elPlayerEstaReproduciendo: count('#stop-button'),
    elPlayerEstaDetenido: count('#play-button'),

    crearPista: clickable("#newTrack"),
    seleccionarSonido: clickable("td:contains('000_drum1')"),
    aceptarDialogo: clickable("button:contains('Agregar y cerrar')"),

    cantidadDePistas: count(".huayra-track")
  });
});
define('huayra-ritmos/tests/pages/pattern-page.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | pages/pattern-page.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'pages/pattern-page.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/resolver.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | resolver.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'resolver.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/router.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | router.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'router.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/routes/application.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | routes/application.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'routes/application.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/routes/index.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | routes/index.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'routes/index.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/routes/pattern.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | routes/pattern.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'routes/pattern.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/routes/pattern/new-track.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | routes/pattern/new-track.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'routes/pattern/new-track.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/serializers/application.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | serializers/application.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'serializers/application.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/service.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | service.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'service.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/services/audio.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | services/audio.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'services/audio.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/services/debug-bar.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | services/debug-bar.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'services/debug-bar.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/services/exportar-browser.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | services/exportar-browser.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'services/exportar-browser.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/services/exportar-electron.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | services/exportar-electron.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'services/exportar-electron.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/services/history.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | services/history.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'services/history.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/services/menu-browser.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | services/menu-browser.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'services/menu-browser.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/services/menu-electron.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | services/menu-electron.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'services/menu-electron.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/services/modal.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | services/modal.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'services/modal.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/services/model-factory.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | services/model-factory.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'services/model-factory.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/services/settings-browser.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | services/settings-browser.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'services/settings-browser.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/services/settings-electron.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | services/settings-electron.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'services/settings-electron.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/services/sound-gallery-browser.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | services/sound-gallery-browser.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'services/sound-gallery-browser.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/services/sound-gallery-electron.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | services/sound-gallery-electron.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'services/sound-gallery-electron.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/services/version.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | services/version.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'services/version.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/test-helper', ['exports', 'huayra-ritmos/tests/helpers/resolver', 'ember-qunit'], function (exports, _huayraRitmosTestsHelpersResolver, _emberQunit) {

  (0, _emberQunit.setResolver)(_huayraRitmosTestsHelpersResolver['default']);
});
define('huayra-ritmos/tests/test-helper.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | test-helper.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'test-helper.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/unit/components/huayra-color-picker-test', ['exports', 'ember-qunit'], function (exports, _emberQunit) {

  (0, _emberQunit.moduleForComponent)('huayra-color-picker', 'Unit | Component | color picker', {
    // Specify the other units that are required for this test
    // needs: ['component:foo', 'helper:bar'],
    unit: true
  });

  (0, _emberQunit.test)('it renders', function (assert) {
    assert.expect(2);

    // Creates the component instance
    var component = this.subject();
    assert.equal(component._state, 'preRender');

    // Renders the component to the page
    this.render();
    assert.equal(component._state, 'inDOM');
  });
});
define('huayra-ritmos/tests/unit/components/huayra-color-picker-test.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | unit/components/huayra-color-picker-test.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'unit/components/huayra-color-picker-test.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/unit/components/huayra-file-selector-test', ['exports', 'ember-qunit'], function (exports, _emberQunit) {

  (0, _emberQunit.moduleForComponent)('huayra-file-selector', 'Unit | Component | huayra file selector', {
    // Specify the other units that are required for this test
    // needs: ['component:foo', 'helper:bar'],
    unit: true
  });

  (0, _emberQunit.test)('it renders', function (assert) {
    assert.expect(2);

    // Creates the component instance
    var component = this.subject();
    assert.equal(component._state, 'preRender');

    // Renders the component to the page
    this.render();
    assert.equal(component._state, 'inDOM');
  });
});
define('huayra-ritmos/tests/unit/components/huayra-file-selector-test.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | unit/components/huayra-file-selector-test.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'unit/components/huayra-file-selector-test.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/unit/components/huayra-stepslimit-picker-test', ['exports', 'ember-qunit'], function (exports, _emberQunit) {

  (0, _emberQunit.moduleForComponent)('huayra-stepslimit-picker', 'Unit | Component | stepslimit picker', {
    // Specify the other units that are required for this test
    // needs: ['component:foo', 'helper:bar'],
    unit: true
  });

  (0, _emberQunit.test)('it renders', function (assert) {
    assert.expect(2);

    // Creates the component instance
    var component = this.subject();
    assert.equal(component._state, 'preRender');

    // Renders the component to the page
    this.render();
    assert.equal(component._state, 'inDOM');
  });
});
define('huayra-ritmos/tests/unit/components/huayra-stepslimit-picker-test.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | unit/components/huayra-stepslimit-picker-test.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'unit/components/huayra-stepslimit-picker-test.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/unit/initializers/application-test', ['exports', 'ember', 'huayra-ritmos/initializers/application', 'qunit'], function (exports, _ember, _huayraRitmosInitializersApplication, _qunit) {

  var container, application;

  (0, _qunit.module)('Unit | Initializer | application', {
    beforeEach: function beforeEach() {
      _ember['default'].run(function () {
        application = _ember['default'].Application.create();
        container = application.__container__;
        application.deferReadiness();
      });
    }
  });

  // Replace this with your real tests.
  (0, _qunit.test)('it works', function (assert) {
    (0, _huayraRitmosInitializersApplication.initialize)(container, application);

    // you would normally confirm the results of the initializer here
    assert.ok(true);
  });
});
define('huayra-ritmos/tests/unit/initializers/application-test.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | unit/initializers/application-test.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'unit/initializers/application-test.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/unit/initializers/p5-test', ['exports', 'ember', 'huayra-ritmos/initializers/p5', 'qunit'], function (exports, _ember, _huayraRitmosInitializersP5, _qunit) {

  var application = undefined;

  (0, _qunit.module)('Unit | Initializer | p5', {
    beforeEach: function beforeEach() {
      _ember['default'].run(function () {
        application = _ember['default'].Application.create();
        application.deferReadiness();
      });
    }
  });

  // Replace this with your real tests.
  (0, _qunit.test)('it works', function (assert) {
    _huayraRitmosInitializersP5['default'].initialize(application);

    // you would normally confirm the results of the initializer here
    assert.ok(true);
  });
});
define('huayra-ritmos/tests/unit/initializers/p5-test.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | unit/initializers/p5-test.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'unit/initializers/p5-test.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/unit/initializers/set-node-dir-test', ['exports', 'ember', 'huayra-ritmos/initializers/set-node-dir', 'qunit'], function (exports, _ember, _huayraRitmosInitializersSetNodeDir, _qunit) {

  var application = undefined;

  (0, _qunit.module)('Unit | Initializer | set node dir', {
    beforeEach: function beforeEach() {
      _ember['default'].run(function () {
        application = _ember['default'].Application.create();
        application.deferReadiness();
      });
    }
  });

  // Replace this with your real tests.
  (0, _qunit.test)('it works', function (assert) {
    _huayraRitmosInitializersSetNodeDir['default'].initialize(application);

    // you would normally confirm the results of the initializer here
    assert.ok(true);
  });
});
define('huayra-ritmos/tests/unit/initializers/set-node-dir-test.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | unit/initializers/set-node-dir-test.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'unit/initializers/set-node-dir-test.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/unit/models/pattern-test', ['exports', 'ember-qunit'], function (exports, _emberQunit) {

  (0, _emberQunit.moduleForModel)('pattern', 'Unit | Model | pattern', {
    // Specify the other units that are required for this test.
    needs: []
  });

  (0, _emberQunit.test)('it exists', function (assert) {
    var model = this.subject();
    // var store = this.store();
    assert.ok(!!model);
  });
});
define('huayra-ritmos/tests/unit/models/pattern-test.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | unit/models/pattern-test.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'unit/models/pattern-test.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/unit/services/debug-bar-test', ['exports', 'ember-qunit'], function (exports, _emberQunit) {

  (0, _emberQunit.moduleFor)('service:debug-bar', 'Unit | Service | debug bar', {
    // Specify the other units that are required for this test.
    // needs: ['service:foo']
  });

  // Replace this with your real tests.
  (0, _emberQunit.test)('it exists', function (assert) {
    var service = this.subject();
    assert.ok(service);
  });
});
define('huayra-ritmos/tests/unit/services/debug-bar-test.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | unit/services/debug-bar-test.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'unit/services/debug-bar-test.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/unit/services/history-test', ['exports', 'ember-qunit'], function (exports, _emberQunit) {

  (0, _emberQunit.moduleFor)('service:history', 'Unit | Service | history', {
    // Specify the other units that are required for this test.
    // needs: ['service:foo']
  });

  // Replace this with your real tests.
  (0, _emberQunit.test)('it exists', function (assert) {
    var service = this.subject();
    assert.ok(service);
  });
});
define('huayra-ritmos/tests/unit/services/history-test.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | unit/services/history-test.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'unit/services/history-test.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/unit/services/model-factory-test', ['exports', 'ember-qunit'], function (exports, _emberQunit) {

  (0, _emberQunit.moduleFor)('service:model-factory', 'Unit | Service | model factory', {
    // Specify the other units that are required for this test.
    // needs: ['service:foo']
  });

  // Replace this with your real tests.
  (0, _emberQunit.test)('it exists', function (assert) {
    var service = this.subject();
    assert.ok(service);
  });
});
define('huayra-ritmos/tests/unit/services/model-factory-test.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | unit/services/model-factory-test.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'unit/services/model-factory-test.js should pass jshint.');
  });
});
define('huayra-ritmos/tests/unit/services/version-test', ['exports', 'ember-qunit'], function (exports, _emberQunit) {

  (0, _emberQunit.moduleFor)('service:version', 'Unit | Service | version', {
    // Specify the other units that are required for this test.
    // needs: ['service:foo']
  });

  // Replace this with your real tests.
  (0, _emberQunit.test)('it exists', function (assert) {
    var service = this.subject();
    assert.ok(service);
  });
});
define('huayra-ritmos/tests/unit/services/version-test.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint | unit/services/version-test.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'unit/services/version-test.js should pass jshint.');
  });
});
/* jshint ignore:start */

require('huayra-ritmos/tests/test-helper');
EmberENV.TESTS_FILE_LOADED = true;

/* jshint ignore:end */
//# sourceMappingURL=tests.map